This is the multi-page printable view of this section. Click here to print.
APIs
- 1: Create Cluster
- 1.1: 1.0
- 2: Create Restore Cluster
- 2.1: 1.0
- 3: List Backup Histories
- 3.1: 1.0
- 4: List Clusters
- 4.1: 1.0
- 5: List Commands
- 5.1: 1.0
- 6: List Engine Version Properties
- 6.1: 1.0
- 7: List Engine Versions
- 7.1: 1.0
- 8: List Parameter Groups
- 8.1: 1.0
- 9: List Parameter Values
- 9.1: 1.0
- 10: List Parameters
- 10.1: 1.0
- 11: List Server Types
- 11.1: 1.0
- 12: Remove Backup Histories
- 12.1: 1.0
- 13: Restart Cluster
- 13.1: 1.0
- 14: Set Backup
- 14.1: 1.0
- 15: Set Block Storage Size
- 15.1: 1.0
- 16: Set Maintenance
- 16.1: 1.0
- 17: Set Parameter Values
- 17.1: 1.0
- 18: Set Security Group Rules
- 18.1: 1.0
- 19: Set Server Type
- 19.1: 1.0
- 20: Show Cluster
- 20.1: 1.0
- 21: Show Request
- 21.1: 1.0
- 22: Start Cluster
- 22.1: 1.0
- 23: Stop Cluster
- 23.1: 1.0
- 24: Switchover Cluster
- 24.1: 1.0
- 25: Synchronize Cluster State
- 25.1: 1.0
- 26: Synchronize Commands
- 26.1: 1.0
- 27: Synchronize Parameter Values
- 27.1: 1.0
- 28: Terminate Cluster
- 28.1: 1.0
- 29: Unset Backup
- 29.1: 1.0
- 30: Unset Maintenance
- 30.1: 1.0
- 31: Update Commands
- 31.1: 1.0
1 - Create Cluster
1.1 - 1.0
post /v1/clusters
Description
Create Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | RedisClusterCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"allowable_ip_addresses": [],
"dbaas_engine_version_id": "",
"ha_enabled": false,
"init_config_option": {
"backup_option": {
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_port": 6378,
"database_user_password": "",
"sentinel_port": 26378
},
"instance_groups": [
{
"block_storage_groups": [
{
"role_type": "",
"size_gb": "",
"volume_type": "SSD"
}
],
"instances": [
{
"public_ip_id": "",
"role_type": "ACTIVE",
"service_ip_address": ""
}
],
"role_type": "ACTIVE",
"server_type_name": ""
}
],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"name": "",
"nat_enabled": false,
"replica_count": 0,
"subnet_id": "",
"tags": [],
"timezone": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
2 - Create Restore Cluster
2.1 - 1.0
post /v1/clusters/{cluster_id}/restore
Description
Create Restore Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ClusterRestoreRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restore
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"allowable_ip_addresses": [],
"backup_history_number": "",
"backup_recovery_time": "",
"block_storage_groups": [],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"name": "",
"server_type_name": "",
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
3 - List Backup Histories
3.1 - 1.0
get /v1/clusters/{cluster_id}/backup-histories
Description
List Backup Histories.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| query | limit optional | Number of backup lists Example : | any of [integer, null] | None |
| query | page optional | Backup list page Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupHistoryListApiResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_at": "",
"backup_history_number": "",
"backup_size_gb": "",
"backup_start_at": "",
"backup_state": "",
"backup_state_detail": "",
"software_version": ""
}
],
"total_count": ""
}
4 - List Clusters
4.1 - 1.0
get /v1/clusters
Description
List Clusters.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | name optional | Cluster name Example : | any of [string, null] | None |
| query | service_state optional | Service state Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"instance_count": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"role_type": "ORIGIN",
"service_state": "RUNNING"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
5 - List Commands
5.1 - 1.0
get /v1/clusters/{cluster_id}/commands
Description
List Commands.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CommandListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/commands
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"applied_value": "",
"description": "",
"id": "",
"modifiable": "",
"name": ""
}
],
"last_updated_at": "",
"total_count": ""
}
6 - List Engine Version Properties
6.1 - 1.0
get /v1/engine-versions/{dbaas_engine_version_id}/properties
Description
List Engine Version Properties.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dbaas_engine_version_id required | DBaaS engine version ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EnginePropertyListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions/{dbaas_engine_version_id}/properties
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"name": "",
"value": ""
}
]
}
7 - List Engine Versions
7.1 - 1.0
get /v1/engine-versions
Description
List Engine Versions.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id optional | DBaaS engine version ID Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null] | None |
| query | eos_included optional | EoS included Example : False | boolean | False |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EngineListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"end_of_service": false,
"id": "",
"major_version": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"software_version": ""
}
]
}
8 - List Parameter Groups
8.1 - 1.0
get /v1/parameter-groups
Description
List Parameter Groups.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | major_version optional | Software major version Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterGroupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameter-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"id": "",
"major_version": "",
"name": "",
"product_image_type": "",
"product_type": ""
}
],
"sort": [
""
]
}
9 - List Parameter Values
9.1 - 1.0
get /v1/clusters/{cluster_id}/parameters
Description
List Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParametersResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"allows_value": "",
"applied_value": "",
"apply_type": "",
"data_type": "",
"default_value": "",
"description": "",
"id": "",
"is_modifiable": "",
"name": "",
"software_type": ""
}
],
"count": "",
"modified_at": ""
}
10 - List Parameters
10.1 - 1.0
get /v1/parameters
Description
List Parameters.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | dbaas_parameter_group_id required | Parameter group ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"dbaas_parameter_group_id": "",
"default_value": "",
"description": "",
"id": "",
"name": "",
"software_type": ""
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
11 - List Server Types
11.1 - 1.0
get /v1/server-types
Description
List Server Types.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Server type name Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cpu_core": "",
"description": "",
"memory_gb": "",
"name": "",
"product_image_type": "",
"product_type": "",
"purpose": "",
"type": ""
}
]
}
12 - Remove Backup Histories
12.1 - 1.0
put /v1/clusters/{cluster_id}/backup-histories
Description
Remove Backup Histories.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | BackupHistoryNumberRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"backup_history_number": [
""
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
13 - Restart Cluster
13.1 - 1.0
post /v1/clusters/{cluster_id}/restart
Description
Restart Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restart
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
14 - Set Backup
14.1 - 1.0
post /v1/clusters/{cluster_id}/backups
Description
Set Backup.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | BackupSettingExcludingArchiveRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"retention_period_day": "",
"starting_time_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
15 - Set Block Storage Size
15.1 - 1.0
post /v1/block-storage-groups/{block_storage_group_id}/resize
Description
Set Block Storage Size.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | block_storage_group_id required | Block storage group ID Example : afc33891202643ba8ba1a5298a1affff | string | None |
| body | body required | ResizeBlockStorageGroupRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/block-storage-groups/{block_storage_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"size_gb": 16
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
16 - Set Maintenance
16.1 - 1.0
post /v1/clusters/{cluster_id}/maintenance
Description
Set Maintenance.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | DB cluster id Example : | string | None |
| body | body required | MaintenanceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"start_day_of_week": "MON",
"start_minute": "",
"start_time": "",
"term_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
17 - Set Parameter Values
17.1 - 1.0
put /v1/clusters/{cluster_id}/parameters
Description
Set Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ParametersRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"parameters": [
{
"id": "",
"new_value": "",
"old_value": ""
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
18 - Set Security Group Rules
18.1 - 1.0
post /v1/clusters/{cluster_id}/security-group-rules
Description
Set Security Group Rules.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | UpdateSecurityGroupRulesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/security-group-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"add_ip_addresses": [],
"del_ip_addresses": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
19 - Set Server Type
19.1 - 1.0
post /v1/instance-groups/{instance_group_id}/resize
Description
Set Server Type.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | InstanceGroupResizeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"server_type_name": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
20 - Show Cluster
20.1 - 1.0
get /v1/clusters/{cluster_id}
Description
Show Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RedisClusterDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"account_id": "",
"allowable_ip_addresses": [],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dbaas_engine": "",
"dbaas_engine_version_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"init_config_option": {
"backup_option": {
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_port": "",
"sentinel_port": ""
},
"instance_count": 0,
"instance_groups": [
{
"block_storage_groups": [
{
"id": "",
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"id": "",
"instances": [
{
"floating_ip_id": "",
"name": "",
"public_ip_address": "",
"public_ip_id": "",
"role_type": "",
"service_ip_address": "",
"service_state": "RUNNING"
}
],
"role_type": "",
"server_type_name": ""
}
],
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": "",
"use_maintenance_option": false
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_enabled": false,
"product_image_type": "",
"product_type": "",
"role_type": "ORIGIN",
"service_state": "RUNNING",
"software_version": "",
"subnet_id": "",
"timezone": ""
}
21 - Show Request
21.1 - 1.0
get /v1/requests/{request_id}
Description
Show Request.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | request_id required | Request ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RequestStateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/requests/{request_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"state": ""
}
22 - Start Cluster
22.1 - 1.0
post /v1/clusters/{cluster_id}/start
Description
Start Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/start
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
23 - Stop Cluster
23.1 - 1.0
post /v1/clusters/{cluster_id}/stop
Description
Stop Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/stop
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
24 - Switchover Cluster
24.1 - 1.0
post /v1/clusters/{cluster_id}/switchover
Description
Switchover Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | RedisSwitchOverTargetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/switchover
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"switch_host_name": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
25 - Synchronize Cluster State
25.1 - 1.0
post /v1/clusters/{cluster_id}/sync-state
Description
Synchronize Cluster State.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/sync-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
26 - Synchronize Commands
26.1 - 1.0
post /v1/clusters/{cluster_id}/commands/sync
Description
Synchronize Commands.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/commands/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
27 - Synchronize Parameter Values
27.1 - 1.0
post /v1/clusters/{cluster_id}/parameters/sync
Description
Synchronize Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
28 - Terminate Cluster
28.1 - 1.0
delete /v1/clusters/{cluster_id}
Description
Terminate Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
29 - Unset Backup
29.1 - 1.0
delete /v1/clusters/{cluster_id}/backups
Description
Unset Backup.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
30 - Unset Maintenance
30.1 - 1.0
delete /v1/clusters/{cluster_id}/maintenance
Description
Unset Maintenance.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | DB cluster id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
31 - Update Commands
31.1 - 1.0
put /v1/clusters/{cluster_id}/commands
Description
Update Commands.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ModifyCommandRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/commands
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"commands": [
{
"id": "",
"name": "",
"new_value": ""
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}